using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;
using Topsdk.Top.Ability376.Domain;

namespace Topsdk.Top.Ability376.Request;

public class TaobaoTbkSpreadGetRequest : AbstractTopApiRequest
{

    /*
        请求列表，内部包含多个url
            */
    private IList<TaobaoTbkSpreadGetTbkSpreadRequest>? requests;


    [JsonPropertyName("requests")]
    public IList<TaobaoTbkSpreadGetTbkSpreadRequest>? Requests
    {
        get => requests;
        set => this.requests = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.requests != null)
        {
            requestParam.Add("requests",TopUtils.ConvertStructList(this.requests));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.spread.get";
    }

}

